Subject: [icnrg] Fwd: I-D Action: draft-oran-icnrg-pathsteering-00.txt

From: "David R. Oran" <[email-masked]>
Date: Mon, 21 Oct 2019 09:36:50 -0400

This is some work Ilya and I have been wanting to get submitted for a 
while. We “ICNRG-ified” the work we did on Path Steering in 2017 for 
the ICN conference since it is likely pretty useful for a number of 
things, including multi-path congestion control and diagnosis protocols 
like ping, traceroute, and CCNInfo.

The only real differences from the paper are the selection of a 
particular path label encoding from among the options we discussed in 
the paper, providing some flexibility in error handling that the paper 
only hand-waves about, and meshing directly with RFC8569 and 8609 as 
published.

Hope folks find this useful/compelling! I can give an overview at the 
ICNRG meeting in Singapore if we have agenda time and people are 
interested.

Comments please!!!

Dave and Ilya.

Forwarded message:

> From: [email-masked]
> To: [email-masked]
> Subject: I-D Action: draft-oran-icnrg-pathsteering-00.txt
> Date: Mon, 21 Oct 2019 06:27:11 -0700
>
> A New Internet-Draft is available from the on-line Internet-Drafts 
> directories.
>
>
>         Title           : Path Steering in CCNx and NDN
>         Authors         : Ilya Moiseenko
>                           Dave Oran
> 	Filename        : draft-oran-icnrg-pathsteering-00.txt
> 	Pages           : 16
> 	Date            : 2019-10-21
>
> Abstract:
>    Path Steering is a mechanism to discover paths to the producers of
>    ICN content objects and steer subsequent Interest messages along a
>    previously discovered path.  It has various uses, including the
>    operation of state-of-the-art multipath congestion control 
> algorithms
>    and for network measurement and management.  This specification
>    derives directly from the design published in _Path Switching in
>    Content Centric and Named Data Networks_ (4th ACM Conference on
>    Information-Centric Networking - ICN'17) and therefore does not
>    recapitulate the design motivations, implementation details, or
>    evaluation of the scheme.  Some technical details are different
>    however, and where there are differences, the design documented 
> here
>    is to be considered definitive.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-oran-icnrg-pathsteering/
>
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-oran-icnrg-pathsteering-00
> https://datatracker.ietf.org/doc/html/draft-oran-icnrg-pathsteering-00
>
>
> Please note that it may take a couple of minutes from the time of 
> submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt